using System;

internal sealed class Delegate579 : MulticastDelegate
{
	public extern string Invoke(object object_0);

	public static string smethod_0(object object_0, Delegate579 delegate579_1)
	{
		return delegate579_1(object_0);
	}

	public extern Delegate579(object object_0, IntPtr intptr_0);

	static Delegate579()
	{
		Class10.smethod_13(typeof(Delegate579).TypeHandle);
	}

	internal static Delegate579 delegate579_0;
}
